/* You can add global styles to this file, and also import other style files */
@import "~bootstrap/scss/bootstrap";
@import "./app/theme-scss/font";

@import "./app/theme-scss/@shared/base/baselayout";
@import "./app/theme-scss/login/login";
@import "~ngx-toastr/toastr.css";
:root {
  --primaryBackgroundColor: #196BE5;
  --white: #ffffff;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.table  {

  & > thead{
  text-align: center;
  }
  & tr{
    text-align: center;
    &.active{
      background-color: aliceblue;
    }
  }
}
.btn-outline-secondary{
  &:focus{
    box-shadow: none;
  }
}
.dashboard-cards{
  & .card{
    border-radius: 10px;
    & .card-header{
      text-align: center;

      border-radius: 8px 8px 0px 0px;
    }

    & .card-body{
      text-align: center;

      p{
        font-size: 28px;
        font-weight: bold;
      }
    }
  }
}
.stock-card{
  & .card{
   & .card-title{
      display: -webkit-box;
      -webkit-line-clamp: 1;
      -webkit-box-orient: vertical;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
}

.close{
  border: none;
  background-color: white;
  //color: black;
}
.page-title {
  border-bottom: 2px solid black;
  margin-bottom: 20px;
}

.dt-buttons {
  display: contents;
}

.buttons-excel {
  margin-bottom: 30px;
}

#toast-container > div {
  opacity: 1;
}


/* => Table list  */
.tblEdit-btn,
.tblActivate-btn,
.tblDel-btn {
  padding: 4px 7px;
  margin: 5px;
  > img {
    width: 18px;
  }
}

/* => Content Section  */
.content-layer {
  min-height: calc(100vh - 100px);
  box-shadow: 0px 0px 8px #b3b3b3;
  padding: 30px 20px;
  border-radius: 3px;
}

.formModal-closebtn {
  border: 0px;
  outline: none;
  border-radius: 5px;
  //color: red;
  font-weight: 500;
  transition: all 0.2s ease-in-out;
  &:hover {
    background-color: #dddddd;
  }
}
.modal-title {
  font-size: 22px;
}

/* => Form Theme  */
.form-heading h3 {
  font-size: 20px;
  margin-bottom: 20px;
}
.form-control:focus{
  outline: none;
  box-shadow: none;
  border: 1px solid #ced4da;

}
select{
  &.sl{
  width: 268px;
  padding: 10px;
  font-size: 16px;
  line-height: 1;
  border: 1;
  border-radius: 5px;
  height: 42px;
  background: url(http://cdn1.iconfinder.com/data/icons/cc_mono_icon_set/blacks/16x16/br_down.png) no-repeat right #fff;
  -webkit-appearance: none;
  background-position-x: 244px;
  :focus-visible{
    outline: none;
  }
}
}

.close{
  background-color: white;
  border: none;
  font-size: 25px;
}

// Form Field
.field-wrap {
  position: relative;
  margin-bottom: 40px;
  > label {
    font-weight: 500;
    display: inline-block;
    margin-bottom: 3px;
  }
  > input,
  > select,
  > textarea {
    display: block;
    width: 100%;
    padding: 8px 12px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 6px;
    margin-bottom: 25px;
    outline: none;
  }
  > textarea {
    resize: none;
    min-height: 104px;
  }
  > i {
    color: red;
    font-style: normal;
    font-size: 12px;
    position: absolute;
    bottom: -20px;
  }
}

.form-submitbtn {
  margin-top: 0px;
  margin-bottom: 0px;
  button {
    outline: none;
    border: none;
    display: inline-block;
    padding: 10px 10px;
    min-width: 120px;
    background-color: #1e90ff;
    color: #fff;
    border-radius: 5px;
    font-weight: 500;
    cursor: pointer !important;
    transition: all 0.2s ease-in-out;
    &:hover:not([disabled]) {
      background-color: #007bf3;
    }
    &[disabled] {
      cursor: not-allowed !important;
      opacity: 0.6;
    }
  }
}

.portfoliotab{
  .btn{
    border:1px solid lightgray;
    font-size: 16px;
  }
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
